// creator  : weidu.exe (version 23100)
// argument : GAAL.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~GAAL~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #0 ~NumTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #21328 /* ~Hold, you tread on sacred ground!  Only those who serve the Unseeing Eye may enter.  I am Gaal, High Priest of the One God.~ [GAAL02] */
  IF ~~ THEN REPLY #21786 /* ~I wish to know more.  How does one serve your 'Unseeing Eye'?~ */ GOTO 1
  IF ~~ THEN REPLY #21787 /* ~Who is this 'Unseeing Eye' of yours?~ */ GOTO 3
  IF ~~ THEN REPLY #21788 /* ~I'll go where I like, priest.~ */ GOTO 24
END

IF ~~ THEN BEGIN 1 // from: 24.0 17.1 9.0 4.0 0.0
  SAY #21789 /* ~The One God has demanded that his disciples achieve a higher state of wisdom... you must remove that which is limiting and offensive.~ */
  IF ~~ THEN GOTO 2
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY #21790 /* ~The unholy eyes are removed from your head during the sacred initiation. If you survive and are proven faithful, the Unseeing Eye accepts you into service.~ */
  IF ~~ THEN REPLY #21791 /* ~And if you don't survive?~ */ GOTO 6
  IF ~~ THEN REPLY #21792 /* ~What if I'm not interested in having my eyes removed?~ */ GOTO 7
  IF ~~ THEN REPLY #21793 /* ~You blind your devoted on purpose?!  That is horrid!~ */ GOTO 26
END

IF ~~ THEN BEGIN 3 // from: 26.2 24.1 17.0 6.1 0.1
  SAY #21794 /* ~The Unseeing Eye has brought us enlightenment.  Only by removing our eyes can we remove the veil of lies and deceit clouding our lives.~ */
  IF ~~ THEN GOTO 4
END

IF ~~ THEN BEGIN 4 // from: 3.0
  SAY #21795 /* ~He is the most ancient and wise of the race you might know as 'beholders'.  We servants have flocked to him gladly, and his mighty power protects us.  You would be wise to serve him as we do.~ */
  IF ~!IsValidForPartyDialog("Viconia")
!IsValidForPartyDialog("Edwin")
!IsValidForPartyDialog("Aerie")~ THEN REPLY #21796 /* ~Just how does one become a servant of this Unseeing Eye, anyway?~ */ GOTO 1
  IF ~!IsValidForPartyDialog("Viconia")
!IsValidForPartyDialog("Edwin")
!IsValidForPartyDialog("Aerie")~ THEN REPLY #21797 /* ~You serve a beholder with no eye? Can a beholder have power with no eye?~ */ GOTO 9
  IF ~!IsValidForPartyDialog("Viconia")
!IsValidForPartyDialog("Edwin")
!IsValidForPartyDialog("Aerie")~ THEN REPLY #21798 /* ~I have no interest in becoming a servant of anyone.~ */ GOTO 28
  IF ~IsValidForPartyDialog("Viconia")~ THEN EXTERN ~VICONIJ~ 72
  IF ~!IsValidForPartyDialog("Viconia")
IsValidForPartyDialog("Edwin")~ THEN EXTERN ~EDWINJ~ 84
  IF ~!IsValidForPartyDialog("Viconia")
!IsValidForPartyDialog("Edwin")
IsValidForPartyDialog("Aerie")~ THEN EXTERN ~AERIEJ~ 104
END

IF ~~ THEN BEGIN 5 // from: 26.4 17.4 15.2 11.4 6.2
  SAY #21799 /* ~You dare?!  Suffer the wrath of the almighty, then, fool!~ */
  IF ~~ THEN DO ~SetGlobal("UnseeingEye","GLOBAL",1)
~ EXIT
END

IF ~~ THEN BEGIN 6 // from: 26.0 2.0
  SAY #21800 /* ~Sadly, there are those who lack the stamina to serve the One God... their lack of faith betrays them.  The bodies of these unfortunates are offered to the Pit of the Faithless.~ */
  IF ~~ THEN REPLY #21801 /* ~I would like to learn more... but what if I'm not interested in having my eyes removed?~ */ GOTO 7
  IF ~~ THEN REPLY #21802 /* ~Tell me about this 'Unseeing Eye' of yours, then.  Who is he?~ */ GOTO 3
  IF ~~ THEN REPLY #21803 /* ~So you kill them?! Outrageous! I shall end this worship of yours myself!~ */ GOTO 5
  IF ~~ THEN REPLY #61198 /* ~Perhaps I should be on my way, then.~ */ GOTO 28
END

IF ~~ THEN BEGIN 7 // from: 26.1 17.2 6.0 2.1
  SAY #21804 /* ~Hmmmn.  It is a sign of weakness to refuse the enlightenment.  Would you walk about willingly without arms, without feet?  I do not think so.~ */
  IF ~~ THEN GOTO 27
END

IF ~~ THEN BEGIN 8 // from: 27.0
  SAY #21805 /* ~There is... something that you could do that the great one cannot, despite His vast power.  Assist in that and I will admit you into our ranks and into the Unseeing One's presence, yes?~ */
  IF ~~ THEN REPLY #21806 /* ~Tell me what it is and I'll consider it.~ */ GOTO 10
  IF ~~ THEN REPLY #21807 /* ~No thanks.  I've no interest in doing anything for this Unseeing Eye.~ */ GOTO 28
END

IF ~~ THEN BEGIN 9 // from: 4.1 EDWINJ:84.0
  SAY #21808 /* ~Without his eyes, the One God is stronger, not weaker.  He has made mountains tremble and easily destroyed those fools who have come seeking his destruction.  Only those who serve Him are safe always.~ */
  IF ~~ THEN REPLY #21809 /* ~Alright... so how does one become a servant?~ */ GOTO 1
  IF ~~ THEN REPLY #21810 /* ~Well, I have no interest in serving a beholder in any capacity.~ */ GOTO 28
END

IF ~~ THEN BEGIN 10 // from: 8.0
  SAY #21816 /* ~These holy grounds are part of a larger, ancient structure... dangerous if one ventures into the lower levels.  The Unseeing Eye knows of a valuable item in this area.~ */
  IF ~~ THEN GOTO 11
END

IF ~~ THEN BEGIN 11 // from: 10.0
  SAY #21819 /* ~If you were to venture below you could prove your worth by retrieving this artifact for Him.  Do this and I will allow you into our ranks and the One's divine presence.~ */
  IF ~~ THEN REPLY #21821 /* ~What is this item you speak of... and where would I locate it?~ */ GOTO 12
  IF ~~ THEN REPLY #21823 /* ~How would I get to these lower levels?~ */ GOTO 13
  IF ~~ THEN REPLY #21824 /* ~Very well, I shall do as you suggest.~ */ GOTO 14
  IF ~~ THEN REPLY #21829 /* ~No, I refuse to do this.~ */ GOTO 15
  IF ~~ THEN REPLY #21830 /* ~I would rather end your worthless life, priest!~ */ GOTO 5
END

IF ~~ THEN BEGIN 12 // from: 13.0 11.0
  SAY #21825 /* ~The item is a rod... or part of a rod, rather, that you will find atop a holy altar.  I cannot tell you more than that.  You must let your faith guide you.~ */
  IF ~~ THEN REPLY #21826 /* ~And how would I get to these lower levels?~ */ GOTO 13
  IF ~~ THEN REPLY #21827 /* ~Very well, I shall do as you suggest.~ */ GOTO 14
  IF ~~ THEN REPLY #21828 /* ~No, I refuse to do this.~ */ GOTO 15
END

IF ~~ THEN BEGIN 13 // from: 12.0 11.1
  SAY #21837 /* ~I have a key I can give you... this will allow you entrance to the inner chambers through a door a short distance back the way you came, at the sewer passages.~ */
  IF ~~ THEN REPLY #21840 /* ~What is this item you speak of... and where would I locate it?~ */ GOTO 12
  IF ~~ THEN REPLY #21843 /* ~Very well, I shall do as you suggest.~ */ GOTO 14
  IF ~~ THEN REPLY #21844 /* ~No, I refuse to do this.~ */ GOTO 15
END

IF ~~ THEN BEGIN 14 // from: 13.1 12.1 11.2
  SAY #21847 /* ~You are worthy in my eyes, faithful one.  Here is the key.  Once you have the rod, bring it to me and together we shall present it to the Unseeing Eye.~ */
  IF ~!IsValidForPartyDialog("Yoshimo")
!IsValidForPartyDialog("Jan")
!IsValidForPartyDialog("Nalia")~ THEN DO ~SetGlobal("GaalJob","GLOBAL",1)
GiveItemCreate("key02",LastTalkedToBy,0,0,0)
~ UNSOLVED_JOURNAL #34416 /* ~Investigate and destroy the Cult of the Eyeless.

I have spoken to Gaal, leader of this cult.  His 'god' is nothing more than a blind beholder.  I can't imagine a beholder without its eyes, but it seems to be the case.  In order to gain admittance, I have agreed to descend to the lower levels of the dungeon the cult inhabits and return with a particular rod for the beholder.  The rod sits on an altar, apparently, but nothing more was said about it.  Gaal gave me a key that allows access to this area.~ */ EXIT
  IF ~IsValidForPartyDialog("Yoshimo")~ THEN DO ~SetGlobal("GaalJob","GLOBAL",1)
GiveItemCreate("key02",LastTalkedToBy,0,0,0)~ UNSOLVED_JOURNAL #34416 /* ~Investigate and destroy the Cult of the Eyeless.

I have spoken to Gaal, leader of this cult.  His 'god' is nothing more than a blind beholder.  I can't imagine a beholder without its eyes, but it seems to be the case.  In order to gain admittance, I have agreed to descend to the lower levels of the dungeon the cult inhabits and return with a particular rod for the beholder.  The rod sits on an altar, apparently, but nothing more was said about it.  Gaal gave me a key that allows access to this area.~ */ EXTERN ~YOSHJ~ 81
  IF ~!IsValidForPartyDialog("Yoshimo")
IsValidForPartyDialog("Jan")~ THEN DO ~SetGlobal("GaalJob","GLOBAL",1)
GiveItemCreate("key02",LastTalkedToBy,0,0,0)~ UNSOLVED_JOURNAL #34416 /* ~Investigate and destroy the Cult of the Eyeless.

I have spoken to Gaal, leader of this cult.  His 'god' is nothing more than a blind beholder.  I can't imagine a beholder without its eyes, but it seems to be the case.  In order to gain admittance, I have agreed to descend to the lower levels of the dungeon the cult inhabits and return with a particular rod for the beholder.  The rod sits on an altar, apparently, but nothing more was said about it.  Gaal gave me a key that allows access to this area.~ */ EXTERN ~JANJ~ 130
  IF ~!IsValidForPartyDialog("Yoshimo")
!IsValidForPartyDialog("Jan")
IsValidForPartyDialog("Nalia")~ THEN DO ~SetGlobal("GaalJob","GLOBAL",1)
GiveItemCreate("key02",LastTalkedToBy,0,0,0)~ UNSOLVED_JOURNAL #34416 /* ~Investigate and destroy the Cult of the Eyeless.

I have spoken to Gaal, leader of this cult.  His 'god' is nothing more than a blind beholder.  I can't imagine a beholder without its eyes, but it seems to be the case.  In order to gain admittance, I have agreed to descend to the lower levels of the dungeon the cult inhabits and return with a particular rod for the beholder.  The rod sits on an altar, apparently, but nothing more was said about it.  Gaal gave me a key that allows access to this area.~ */ EXTERN ~NALIAJ~ 258
END

IF ~~ THEN BEGIN 15 // from: 13.2 12.2 11.3
  SAY #21848 /* ~The only other way into the fold is the initiation. Come, I shall relieve you of your unholy orbs as the first test of your new faith.~ */
  IF ~~ THEN REPLY #21849 /* ~Uhhhh... okay...~ */ GOTO 16
  IF ~~ THEN REPLY #21850 /* ~I don't think I want to do that.  Let me... ah... think about it.~ */ GOTO 28
  IF ~~ THEN REPLY #21851 /* ~How about I destroy you and your cult, instead?!~ */ GOTO 5
END

IF ~~ THEN BEGIN 16 // from: 15.0
  SAY #21852 /* ~Excellent!  You have the honor, then, of having your vile orbs ripped from your head by the high priest of the One God!  Hold still...~ */
  IF ~~ THEN DO ~Wait(2)
FadeToColor([20.0],0)
Wait(2)
Kill(Player1)
~ EXIT
END

IF WEIGHT #2 /* Triggers after states #: 22 even though they appear after this state */
~Global("GaalJob","GLOBAL",0)
~ THEN BEGIN 17 // from:
  SAY #21822 /* ~You have... changed your mind, faithless one?  Have you decided to enter the holy fold of the Unseeing Eye?~ [GAAL25] */
  IF ~~ THEN REPLY #21853 /* ~I would like to learn more of this 'Unseeing Eye', first.~ */ GOTO 3
  IF ~~ THEN REPLY #21854 /* ~How does one enter your god's service?~ */ GOTO 1
  IF ~~ THEN REPLY #21855 /* ~Is there some way I can see this Unseeing Eye without losing my eyes?~ */ GOTO 7
  IF ~~ THEN REPLY #21856 /* ~No, I haven't.~ */ GOTO 25
  IF ~~ THEN REPLY #21857 /* ~No... but I have decided to end your worthless life!~ */ GOTO 5
END

IF WEIGHT #3 /* Triggers after states #: 22 even though they appear after this state */
~Global("GaalJob","GLOBAL",1)
~ THEN BEGIN 18 // from:
  SAY #21858 /* ~Ah, I see that you have returned!  Surely the One God has smiled upon us all this day!  Do you have the rod?~ [GAAL24] */
  IF ~PartyHasItem("MISC5A")
~ THEN REPLY #21859 /* ~Yes, I do.~ */ DO ~AddexperienceParty(75000)
~ GOTO 19
  IF ~~ THEN REPLY #21860 /* ~No, I don't have it just yet.~ */ GOTO 21
END

IF ~~ THEN BEGIN 19 // from: 18.0
  SAY #21861 /* ~Providence has smiled upon me!  You worthless cretins... the One God would never accept your presence with those unholy orbs still in your heads!~ */
  IF ~~ THEN GOTO 20
END

IF ~~ THEN BEGIN 20 // from: 19.0
  SAY #21862 /* ~I, however, shall gain His favor by presenting Him with the rod!  Prepare to die, fools!~ */
  IF ~!IsValidForPartyDialog("Keldorn")
!IsValidForPartyDialog("Minsc")~ THEN DO ~SetGlobal("UnseeingEye","GLOBAL",1)
~ EXIT
  IF ~IsValidForPartyDialog("Keldorn")~ THEN DO ~SetGlobal("UnseeingEye","GLOBAL",1)~ EXTERN ~KELDORJ~ 163
  IF ~!IsValidForPartyDialog("Keldorn")
IsValidForPartyDialog("Minsc")~ THEN DO ~SetGlobal("UnseeingEye","GLOBAL",1)~ EXTERN ~MINSCJ~ 138
END

IF ~~ THEN BEGIN 21 // from: 18.1
  SAY #21864 /* ~Then I suggest you return to your task until it is complete.  Without the artifact, you are sighted and will never be worthy of joining the One's presence.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #1 ~Dead("UnseeingEye")~ THEN BEGIN 22 // from:
  SAY #31170 /* ~Come back! The Unseeing Eye has been killed but not all is lost! Let us avenge him and make his visions become a reality. Come back, you fools!~ [GAAL23] */
  IF ~~ THEN GOTO 23
END

IF ~~ THEN BEGIN 23 // from: 22.0
  SAY #31172 /* ~You! <CHARNAME>! You have sinned against the universe itself! We shall destroy you!~ */
  IF ~!IsValidForPartyDialog("Keldorn")
!IsValidForPartyDialog("Anomen")
!IsValidForPartyDialog("Viconia")
!IsValidForPartyDialog("Aerie")~ THEN DO ~Shout(99)
Enemy()
~ EXIT
  IF ~IsValidForPartyDialog("Keldorn")~ THEN DO ~Shout(99)
Enemy()~ EXTERN ~KELDORJ~ 164
  IF ~!IsValidForPartyDialog("Keldorn")
IsValidForPartyDialog("Anomen")~ THEN DO ~Shout(99)
Enemy()~ EXTERN ~ANOMENJ~ 240
  IF ~!IsValidForPartyDialog("Keldorn")
!IsValidForPartyDialog("Anomen")
IsValidForPartyDialog("Viconia")~ THEN DO ~Shout(99)
Enemy()~ EXTERN ~VICONIJ~ 74
  IF ~!IsValidForPartyDialog("Keldorn")
!IsValidForPartyDialog("Anomen")
!IsValidForPartyDialog("Viconia")
IsValidForPartyDialog("Aerie")~ THEN DO ~Shout(99)
Enemy()~ EXTERN ~AERIEJ~ 105
END

IF ~~ THEN BEGIN 24 // from: 0.2
  SAY #61187 /* ~No, you shall not.  This is a holy place devoted to exalted Unseeing Eye.  Perhaps you... wish to serve?~ */
  IF ~~ THEN REPLY #61188 /* ~I would prefer to know more... how does one serve this 'Unseeing Eye' of yours?~ */ GOTO 1
  IF ~~ THEN REPLY #61189 /* ~Who is the Unseeing Eye?~ */ GOTO 3
  IF ~~ THEN REPLY #61190 /* ~No.  I have no interest in serving your god.~ */ GOTO 28
END

IF ~~ THEN BEGIN 25 // from: 26.3 17.3
  SAY #61191 /* ~Then leave us to our meditations, faithless one.  We have no quarrel with you.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 26 // from: 2.2
  SAY #61192 /* ~We seek to throw off the shackles of our limitations, and we do so willingly to serve the One God.  What is so horrid about this?~ */
  IF ~~ THEN REPLY #61193 /* ~It is mutilation!  What if one doesn't survive your process?!~ */ GOTO 6
  IF ~~ THEN REPLY #61194 /* ~Well, I'm not willing to lose my eyes, regardless.~ */ GOTO 7
  IF ~~ THEN REPLY #61195 /* ~I... I see.  Tell me more of your One God, then.~ */ GOTO 3
  IF ~~ THEN REPLY #61196 /* ~I see.  I have no further interest in your god, excuse me.~ */ GOTO 25
  IF ~~ THEN REPLY #61197 /* ~It is an abomination of nature, and I shall stop it myself!~ */ GOTO 5
END

IF ~~ THEN BEGIN 27 // from: 7.0
  SAY #61199 /* ~Still, the Unseeing Eye could use the skills of one such as yourself.  An exception... could, perhaps, be made in your case.~ */
  IF ~~ THEN GOTO 8
END

IF ~~ THEN BEGIN 28 // from: 24.2 15.1 9.1 8.1 6.3 4.2
  SAY #61200 /* ~As you wish.  But I warn you... the Unseeing Eye has vast and terrible power. Do not cross him!~ */
  IF ~~ THEN GOTO 29
END

IF ~~ THEN BEGIN 29 // from: 28.0
  SAY #61201 /* ~Join our ranks, instead, as I have told you and enlightenment shall be yours.  The choice, of course, is up to you.~ */
  IF ~~ THEN EXIT
END
